Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Object_Adapter.cpp File Reference

`#include "Object_Adapter.h"`
`#include "POA.h"`
`#include "ServerRequestInfo.h"`
`#include "Default_Servant_Dispatcher.h"`
`#include "ServerInterceptorAdapter.h"`
`#include "PortableServer_ORBInitializer.h"`
`#include "Collocated_Object_Proxy_Broker.h"`
`#include "ace/Auto_Ptr.h"`
`#include "tao/ORB.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/TSS_Resources.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/Stub.h"`
`#include "tao/Profile.h"`
`#include "tao/MProfile.h"`
`#include "tao/debug.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/ORBInitializer_Registry.h"`
`#include "tao/Thread_Lane_Resources_Manager.h"`
`#include "tao/Thread_Lane_Resources.h"`
`#include "tao/Protocols_Hooks.h"`
`#include "Object_Adapter.i"`
`#include "tao/Timeprobe.h"`

Include dependency graph for Object_Adapter.cpp:

## Functions
const char * | get_rcsid_TAO_PortableServer_Object_Adapter (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_Object_Adapter_Factory, ACE_TEXT("TAO_POA"), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_Object_Adapter_Factory), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) TAO_Object_Adapter
## Variables
const char * | rcsid_TAO_PortableServer_Object_Adapter = get_rcsid_TAO_PortableServer_Object_Adapter ( rcsid_TAO_PortableServer_Object_Adapter )

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_Object_Adapter_Factory | ,
|  | ACE_TEXT("TAO_POA") | ,
|  | ACE_SVC_OBJ_T | ,
|  | & | ACE_SVC_NAME(TAO_Object_Adapter_Factory),
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

const char* get_rcsid_TAO_PortableServer_Object_Adapter | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_TAO_PortableServer_Object_Adapter = get_rcsid_TAO_PortableServer_Object_Adapter ( rcsid_TAO_PortableServer_Object_Adapter )`[static]`